# Asterisk Project : Asterisk 12 AGICommand_channel status

Added by wikibot , edited by wikibot on Aug 29, 2013

# CHANNEL STATUS

### Synopsis

Returns status of the connected channel.

### Description

Returns the status of the specified channelname. If no channel name is given then returns the status of the current channel.

Return values:

- `0` - Channel is down and available.
- `1` - Channel is down, but reserved.
- `2` - Channel is off hook.
- `3` - Digits (or equivalent) have been dialed.
- `4` - Line is ringing.
- `5` - Remote end is ringing.
- `6` - Line is up.
- `7` - Line is busy.

### Syntax

    CHANNEL STATUS CHANNELNAME

##### Arguments

- `channelname`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown